﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Security.Cryptography;
using System.Web;
using Functions;



    public partial class Form1 : Form
    {

        

        string sn = "";//序列号
        string password = "";//密码
        string mobile = "";//手机
        string cont = "";//内容
        string subcode = "";//扩展码
        string stime = "";//定时时间
     

        public Form1()
        {
            InitializeComponent();
            tex_sn.Focus();
           // tex_mobile.Focus();
            sch_time.Enabled = false;
        }


        /// <summary>
        /// 获取余额
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void btn_getbalance_Click(object sender, EventArgs e)
        {
         
            sn = tex_sn.Text.Trim();
            password = tex_pwd.Text.Trim();
            string pwd = getMD5(sn + password);
          rich_output.Text=  Function.Balance(sn, pwd);
            
        }

        /// <summary>
        /// 发送短信
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void btn_send_Click(object sender, EventArgs e)
        {
            
            //获取参数
            getValues();
            //MD5加密密码
            string pwd = getMD5(sn + password);

            rich_output.Text = Function.Mt(sn, pwd, mobile, cont, subcode, stime, "");         
           
        }

        /// <summary>
        /// 接收短信
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void btn_receive_Click(object sender, EventArgs e)
        {
         
            //MD5加密密码
            string pwd = getMD5(sn + password);
            //接收信息
            rich_output.Text = Function.Mo(sn, pwd);

            

        }

     

        /// <summary>
        /// 获取md5码
        /// </summary>
        /// <param name="source">待转换字符串</param>
        /// <returns>md5加密后的字符串</returns>
        public string getMD5(string source)
        {
            string result = "";
            try
            {
                MD5 getmd5 = new MD5CryptoServiceProvider();
                byte[] targetStr = getmd5.ComputeHash(UnicodeEncoding.UTF8.GetBytes(source));               
                result = BitConverter.ToString(targetStr).Replace("-", "");
                return result;
            }
            catch (Exception)
            {
                return "0";                
            }

        }

        /// <summary>
        /// 获取参数
        /// </summary>
        private void getValues()
        {
            if (tex_sn.Text == "")
            {
                MessageBox.Show("没有填写序列号");
                return;
            }
            if (tex_pwd.Text == "")
            {
                MessageBox.Show("没有填写密码");
                return;
            }
            if (tex_mobile.Text == "")
            {
                MessageBox.Show("没有填写手机号");
                return;
            }
            if (rich_content.Text.Length <= 0)
            {
                MessageBox.Show("没有填写短信内容");
                return;
            }
            sn = tex_sn.Text.Trim();
            password = tex_pwd.Text.Trim();
            mobile = tex_mobile.Text;
            subcode = tex_subcode.Text;
            if (sch_time.Enabled)
            {
                //取得定时时间
                stime = sch_time.Text;
            }            
           cont = rich_content.Text;
        }

        private void isSchTime_Click(object sender, EventArgs e)
        {
            if (sch_time.Enabled)
            {
                sch_time.Enabled = false;
            }
            else
            {
                sch_time.Enabled = true;
            }
        }
      
        /// <summary>
        /// 显示输入字数
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void displayCount_Click(object sender, EventArgs e)
        {
            //已输入字符字数
            int length = rich_content.Text.Length;
            label9.Text = length.ToString();
        }
        /// <summary>
        /// 充值
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void btn_chargeFee_Click(object sender, EventArgs e)
        {

            string CardNo="";//请填上您的充值卡号
            string CardPwd="";//请填上您的充值卡密码
            rich_output.Text = Function.ChargeUp(sn, password, CardNo, CardPwd);
        }

      

    

        private void button3_Click(object sender, EventArgs e)
        {
           
            string pwd=getMD5(sn+password);
            string mobiles = "15321858155,13391528010";

            string content1 = "测试短信1";
        content1=    HttpUtility.UrlEncode(content1, Encoding.GetEncoding("gb2312"));
        string content2 = "测试短信2";
        content2 = HttpUtility.UrlEncode(content2, Encoding.GetEncoding("gb2312"));
        string con = content1 + "," + content2;//短信内容里的逗号要和手机号列表里的个数保持一致
        rich_output.Text =Function.Gxmt(sn, pwd, mobiles, con, subcode, stime, "");
        }

        private void tex_sn_Click(object sender, EventArgs e)
        {
            tex_sn.SelectAll();
        }

        private void tex_pwd_Click(object sender, EventArgs e)
        {
            tex_pwd.SelectAll();
        }

        private void rich_output_Click(object sender, EventArgs e)
        {
            rich_output.SelectAll();
        }

        private void button4_Click(object sender, EventArgs e)
        {
            getValues();
            string pwd = getMD5(sn + password);
            string content = HttpUtility.UrlEncode(cont, Encoding.UTF8);
            rich_output.Text = Function.MdSmsSend_u(sn, pwd, mobile, content, subcode, stime, "");         
         
        }

     
       

     


      

        
    }
